%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-py3dns
Version:       3.2.1
Release:       1mamba
Summary:       Python 3 DNS library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/py3dns
Source:        https://pypi.debian.net/py3dns/py3dns-%{version}.tar.gz
License:       Python Software Foundation License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:      pydns <= 2.3.6
%pyver_package
%endif

%prep
%setup -q -n py3dns-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Dec 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- package created using the webbuild interface
